<?php
/* --------------------------------------------------------------
  Kai Stejuhn
  http://www.stejuhn.de
  Copyright (c) 2020 Kai Stejuhn
  ------------------------------------------------------------- */

class KS_OVL_PDFOrderExtenderComponent extends KS_OVL_PDFOrderExtenderComponent_parent
{
	function extendOrderInfo($order_info) {
		$languageTextManager = MainFactory::create('LanguageTextManager', 'gm_pdf_order');

		$order_info = parent::extendOrderInfo($order_info);
		if(count(array_diff_assoc($this->v_data_array['order']->delivery, $this->v_data_array['order']->billing))==0){
			unset($order_info['ADR_LABEL_SHIPPING']);
		}
		else{
			if($this->v_data_array['type']=="invoice"){
				$order_info['ADR_LABEL_SHIPPING'][0] = $languageTextManager->get_text('PDF_INFO_ADR_LABEL_SHIPPING');
			}
			else{
				$order_info['ADR_LABEL_SHIPPING'][0] = $languageTextManager->get_text('PDF_INFO_ADR_LABEL_BILLING');
				$order_info['ADR_LABEL_SHIPPING'][1] = (!empty($this->v_data_array['order']->billing['company']) ? $this->v_data_array['order']->billing['company'] . ", " : "") .
														(!empty($this->v_data_array['order']->billing['name']) ? $this->v_data_array['order']->billing['name'] . ", " : "") .
														$this->v_data_array['order']->billing['street_address'] . " " . $this->v_data_array['order']->billing['house_number'] . ", " .
														$this->v_data_array['order']->billing['postcode'] . " " . $this->v_data_array['order']->billing['city'] . ", " .
														$this->v_data_array['order']->billing['country'];
			}
		}

		return $order_info;
	}

}

